com.atid.lib.module.barcode.spc.type

## Enum CodabarCheckCharacter

- java.lang.Object
- - java.lang.Enum<CodabarCheckCharacter>
  - - com.atid.lib.module.barcode.spc.type.CodabarCheckCharacter

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CodabarCheckCharacter>

      public enum CodabarCheckCharacter
      extends java.lang.Enum<CodabarCheckCharacter>
      implements IEnumType

  Codabar check characters are created using different “modulos.” You can program the scanner to read only Codabar bar codes with Modulo 16 check characters. Default = No Check Character. No Check Character indicates that the scanner reads and transmits bar code data with or without a check character. When Check Character is set to Validate and Transmit, the scanner will only read Codabar bar codes printed with a check character, and will transmit this character at the end of the scanned data. When Check Character is set to Validate, but Don’t Transmit, the unit will only read Codabar bar codes printed with a check character, but will not transmit the check character with the scanned data.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NoCheckCharacter`
    `ValidateModulo16andTransmit`
    `ValidateModulo16ButDonotTransmit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CodabarCheckCharacter` | `valueOf(int code)`
    `static CodabarCheckCharacter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodabarCheckCharacter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NoCheckCharacter

          public static final CodabarCheckCharacter NoCheckCharacter

    - #### ValidateModulo16ButDonotTransmit

          public static final CodabarCheckCharacter ValidateModulo16ButDonotTransmit

    - #### ValidateModulo16andTransmit

          public static final CodabarCheckCharacter ValidateModulo16andTransmit

  - ### Method Detail

    - #### values

          public static CodabarCheckCharacter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodabarCheckCharacter c : CodabarCheckCharacter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodabarCheckCharacter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CodabarCheckCharacter>`

    - #### valueOf

          public static CodabarCheckCharacter valueOf(int code)